SaslRpcServer.AuthMethod (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security, class: SaslRpcServer, enum: AuthMethod

Package org.apache.hadoop.security

# Enum Class SaslRpcServer.AuthMethod

java.lang.Object
java.lang.Enum<SaslRpcServer.AuthMethod>
org.apache.hadoop.security.SaslRpcServer.AuthMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<SaslRpcServer.AuthMethod>`, `Constable`

Enclosing class:
  org.apache.hadoop.security.SaslRpcServer

@Evolving public static enum SaslRpcServer.AuthMethod extends Enum<SaslRpcServer.AuthMethod>
Authentication method

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIGEST`
  Deprecated.
  `KERBEROS`
  `PLAIN`
  `SIMPLE`
  `TOKEN`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final byte`
  `code`
  The code for this method.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMechanismName()`
  Return the SASL mechanism name.
  `static SaslRpcServer.AuthMethod`
  `read(DataInput in)`
  Read from in.
  `static SaslRpcServer.AuthMethod`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SaslRpcServer.AuthMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `void`
  `write(DataOutput out)`
  Write to out.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE

    public static final SaslRpcServer.AuthMethod SIMPLE

  - ### KERBEROS

    public static final SaslRpcServer.AuthMethod KERBEROS

  - ### DIGEST

    @Deprecated public static final SaslRpcServer.AuthMethod DIGEST
    Deprecated.

  - ### TOKEN

    public static final SaslRpcServer.AuthMethod TOKEN

  - ### PLAIN

    public static final SaslRpcServer.AuthMethod PLAIN

- ## Field Details

  - ### code

    public final byte code
    The code for this method.

- ## Method Details

  - ### values

    public static SaslRpcServer.AuthMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SaslRpcServer.AuthMethod valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMechanismName

    public String getMechanismName()
    Return the SASL mechanism name.
    Returns:
      mechanismName.

  - ### read

    public static SaslRpcServer.AuthMethod read(DataInput in) throws IOException
    Read from in.
    Parameters:
      `in` - DataInput.
    Returns:
      AuthMethod.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### write

    public void write(DataOutput out) throws IOException
    Write to out.
    Parameters:
      `out` - DataOutput.
    Throws:
      `IOException` - raised on errors performing I/O.